### Method

# Gtk FileDialog get_filters

since: 4.10

#### Declaration [src]

    GListModel*
    gtk_file_dialog_get_filters (
      GtkFileDialog* self
    )

#### Description [src]

Gets the filters that will be offered to the user in the file chooser dialog.

Available since: 4.10

Gets property | `Gtk.FileDialog:filters`

#### Return value

Type: A list model of `GObject`

The filters, as a `GListModel` of `GtkFileFilters`.

The returned data is owned by the instance.
The return value can be `NULL`.